Bug 2916 - Invalid characters may be successfully entered ( or imported) in Koha bibs that cause fatal xml parser errors
Summary: Invalid characters may be successfully entered ( or imported) in Koha bibs th...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: PC All
: P3 normal (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-15 10:32 UTC by Chris Cormack
Modified: 2013-12-05 20:01 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:02:18 UTC


---- Reported by rch@liblime.com 2009-01-15 10:32:47 ----

Two examples:

The first record attached includes an invalid subfield code: an unescaped double-quote.

The second includes a smattering of bad 0x1e characters.  Both were successfully added to a Koha installation, likely via import tools (need to verify).

Koha (or MARC::XML) should not allow a record to be saved that causes a fatal error when viewed or edited.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:02 UTC  ---

This bug was previously known as _bug_ 2916 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=2916

Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was rch@liblime.com.

Comment 1 Mirko Tietgen 2012-12-16 12:50:44 UTC
Mentioned sample data does not exist any longer. Setting this to resolved-fixed as I assume the problem does not exist in recent versions. Please reopen if this assumption is wrong.